Update Lease: Rentvine
PUT
https://api.propexo.com/v1/leases/rentvine/:lease_id| Interface | Method |
|---|---|
| Leases | POST /api/manager/leases/{leaseID} |
Authentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Path parameters
lease_id stringrequired
The Propexo unique identifier for the lease
Request
This endpoint expects an object.
- string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$ - string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$ - string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$ - string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$ - string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$
move_in_datestring
The move-in date associated with the lease
Show 2 variants
move_out_datestring
The move-out date associated with the lease
Show 2 variants
scheduled_move_out_datestring
The scheduled move-out date associated with the lease
Show 2 variants
start_datestring
The start date associated with the lease
Show 2 variants
end_datestring
The end date associated with the lease
Show 2 variants
Response
Successful response
- string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$ - string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$ - string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$ - string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$ - string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$
meta objectrequired
job_idstringrequired
result objectrequired
lease_idstringrequired
The Propexo unique identifier for the lease
move_in_datestring
The move-in date associated with the lease
Show 2 variants
move_out_datestring
The move-out date associated with the lease
Show 2 variants
scheduled_move_out_datestring
The scheduled move-out date associated with the lease
Show 2 variants
start_datestring
The start date associated with the lease
Show 2 variants
end_datestring
The end date associated with the lease
Show 2 variants
Errors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
PUT /v1/leases/rentvine/:lease_id
curl -X PUT https://api.propexo.com/v1/leases/rentvine/:lease_id \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"move_in_date": "2024-07-29T15:51:28.071Z",
"move_out_date": "2024-07-29T15:51:28.071Z",
"scheduled_move_out_date": "2024-07-29T15:51:28.071Z",
"start_date": "2024-07-29T15:51:28.071Z",
"end_date": "2024-07-29T15:51:28.071Z"
}'
200 Successful response
{
"meta": {
"job_id": "string"
},
"result": {
"lease_id": "string",
"move_in_date": "2024-07-29T15:51:28.071Z",
"move_out_date": "2024-07-29T15:51:28.071Z",
"scheduled_move_out_date": "2024-07-29T15:51:28.071Z",
"start_date": "2024-07-29T15:51:28.071Z",
"end_date": "2024-07-29T15:51:28.071Z"
}
}